classification
Title: Problems with the msi installer - python-3.0a1.msi
Type: Stage:
Components: Windows Versions: Python 3.0
process
Status: closed Resolution: duplicate
Dependencies: Superseder: py_compile and compileall need unit tests
View: 1403
Assigned To: loewis Nosy List: christian.heimes, loewis, vbr
Priority: normal Keywords:

Created on 2007-09-05 18:20 by vbr, last changed 2007-12-07 20:53 by vbr. This issue is now closed.

Messages (5)
msg55665 - (view) Author: Vlastimil Brom (vbr) Date: 2007-09-05 18:20
I encountered problems installing python 3.0 alpha 1 from the MSI 
installer supplied on the python download page (python-3.0a1.msi). 
If the advanced option of the installer ("compile .py files to bytecode 
after installation") is checked - the following message is shown
"There is a problem with this Windows installer package. A program run 
as part of the setup did not finish as expected ..."
If I don't choose the option to compile files, the installation 
finishes without any visible errors.

The result is in both cases the same however. After calling python.exe 
it shows the version info etc. in the interactive prompt, but it 
doesn't "respond" in any way.
e.g.
>>> 1+1
object  : RuntimeError('lost sys.stdout',)
type    : RuntimeError
refcount: 4
address : 00A65BD0
lost sys.stderr
>>> 

Running of any .py file doesn't work either.

My system is Win XPh SP2 Czech (the same on Win XPp SP2 Czech).

Could possibly the Czech windows version/ language setting/ locale/ 
timezone or whatever be the problem (as there were some problems 
reported with the manual compilation on German or Polish Winsows-
systems)?

Or am I missing something trivial?

Thanks,
 Vlastimil Brom
msg55666 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-09-05 19:04
There are really two issues here; it is usually better to report them
separately, so they can be analyzed, fixed, and closed separately:
a) the compileall script apparently fails (not surprisingly so, I never
tested it for 3.0), and
b) Python does not work on your version of Windows.

Please confirm that you use the Python console, not IDLE.

As for issue b), yes, that's possibly a locale-related problem. How is
"Program Files" called in your installation? What target directory did
you set for Python?
msg55669 - (view) Author: Vlastimil Brom (vbr) Date: 2007-09-05 19:26
The path to the python executable on my system is:
"C:\Python30\python.exe"

The path to Program Files is "C:\Program Files", but it doesn't matter 
in that case, I guess.

And yes, I use the console window (i.e. the cmd window in Windows) - 
the IDLE doesn't run either, as all other .py files (using python 3.0).
msg57246 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-08 14:06
I've validated a) and fixed b) two weeks ago. I'm closing this bug. It
doesn't contain any additional problems for the bug.

I expect the next alpha of Python 3.0 in about two weeks. Please test
the next version, would you? The problems with your localization of
Windows should be fixed as long as you don't install Python into a
directory with non ASCII letters.
msg58282 - (view) Author: Vlastimil Brom (vbr) Date: 2007-12-07 20:53
I just installed python-3.0a2 and it works fine for me (Win XPh SP2 
Czech; python3 directory C:\Python30). Sofar I haven't found any 
problems other than those mentioned in the release notes.
Thank you very much for fixing this!
History
Date User Action Args
2007-12-07 20:53:02vbrsetmessages: + msg58282
2007-11-08 14:07:23christian.heimessetstatus: open -> closed
resolution: duplicate
2007-11-08 14:06:58christian.heimessetnosy: + christian.heimes
superseder: py_compile and compileall need unit tests
messages: + msg57246
2007-09-17 08:14:54jafosetpriority: normal
assignee: loewis
2007-09-05 19:26:43vbrsetmessages: + msg55669
2007-09-05 19:04:30loewissetnosy: + loewis
messages: + msg55666
2007-09-05 18:20:07vbrcreate